public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Sergei Trofimovich" <slyfox@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-haskell/wxcore/files/, dev-haskell/wxcore/
Date: Sat, 26 Mar 2016 22:04:59 +0000 (UTC)	[thread overview]
Message-ID: <1459029825.3842490fa8e1a8351520e5903311a25f85798e33.slyfox@gentoo> (raw)

commit:     3842490fa8e1a8351520e5903311a25f85798e33
Author:     Sergei Trofimovich <slyfox <AT> gentoo <DOT> org>
AuthorDate: Sat Mar 26 22:03:45 2016 +0000
Commit:     Sergei Trofimovich <slyfox <AT> gentoo <DOT> org>
CommitDate: Sat Mar 26 22:03:45 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3842490f

dev-haskell/wxcore: bump up to 0.92.2.0

Package-Manager: portage-2.2.28

 dev-haskell/wxcore/Manifest                        |  1 +
 .../wxcore/files/wxcore-0.13.2.3-stdcpp.patch      |  6 +++
 dev-haskell/wxcore/wxcore-0.13.2.3-r1.ebuild       | 45 ++++++++++++++++++++++
 dev-haskell/wxcore/wxcore-0.92.2.0.ebuild          | 43 +++++++++++++++++++++
 4 files changed, 95 insertions(+)

diff --git a/dev-haskell/wxcore/Manifest b/dev-haskell/wxcore/Manifest
index ba6ba7e..7884964 100644
--- a/dev-haskell/wxcore/Manifest
+++ b/dev-haskell/wxcore/Manifest
@@ -1,3 +1,4 @@
 DIST wxcore-0.13.2.3.tar.gz 539251 SHA256 e02aab9b0d1084c723fafaf759576cc7a4800d3112d0f99923e88f75cec8ee57 SHA512 9745819c35a1ff4a287a992e146126df1170cacc8702d4a647ec9a4a3ead0518f015a6068858e035b4e30c165c3b84bc5251cd27c554d3271a6fab02f107d264 WHIRLPOOL 13e68eeb85b23104349990d03bdde6010f0ee8c046ec350cf4921fb723fc7f7c0d99b5565e0c40241601b8a3d9561a239dabd305c8096480e858fbd0e4ebf015
 DIST wxcore-0.90.0.3.tar.gz 354646 SHA256 bcc6530a8c087248ab9404fc370e0fd8556d9d05c318780a1ff2a7cf4c86e934 SHA512 b9164b08720c21f2c256ff2b5cb4904a2f3e3342830472fac0c6cb66087972b913b9738ed759f9f24dd75a63a8360c79861478ac62b1ba158e3dffda977c0c0c WHIRLPOOL abda6d125c844797a657d116771db5d24d429b008f1b14c448299eb25536ed30bd8ae6662db59b77eea33bbe1750d3fc3876506d749ebbc2a8688e47f2de9ddd
 DIST wxcore-0.90.1.1.tar.gz 358007 SHA256 f7b5a63d0d2fbaef6e8ffb9565ac30b347ece2efd0483dfe1e89ac839cdc46d5 SHA512 90f7f9c3520633e4b805aae4a166fa4f2737b5c00a59d5736bccea401f0ecb6f35addd113a617c19e45bd32e8eac0b362f8d9494b9fc63e2a091f36809b8e95a WHIRLPOOL fa40a1b39632ce6255c70915e2b9e48ad5f4ce11329d0c3571092de40217b6d4703796bc7f61e1c8c4cb66cad7fbef000eacf6d2ef0c5bd40d287a68d072faf3
+DIST wxcore-0.92.2.0.tar.gz 400116 SHA256 76128916c5d5df9cea9fc1e1b3b56d800d87874a431e98fca4427cb41cfe283e SHA512 e1339ea30a699e22a9fc2f12b6ddcd773911e4d611f834886952bde4d76205c448e1702bab3148f4c370eec1cabeac06655b4cf3cbbfe24e2ea08a628906880a WHIRLPOOL 60e37835d5d13d116659bed858b1320ba5006fd119cc9f045ca02b0d381de73146f52fb7308ee95a752a0aa4921532258468d69ed054c7ece67f0e8bf63a9f3b

diff --git a/dev-haskell/wxcore/files/wxcore-0.13.2.3-stdcpp.patch b/dev-haskell/wxcore/files/wxcore-0.13.2.3-stdcpp.patch
new file mode 100644
index 0000000..e09f9fa
--- /dev/null
+++ b/dev-haskell/wxcore/files/wxcore-0.13.2.3-stdcpp.patch
@@ -0,0 +1,6 @@
+diff --git a/wxcore.cabal b/wxcore.cabal
+index 886c77d..e1bfeb6 100644
+--- a/wxcore.cabal
++++ b/wxcore.cabal
+@@ -173,0 +174 @@ library
++  extra-libraries: stdc++

diff --git a/dev-haskell/wxcore/wxcore-0.13.2.3-r1.ebuild b/dev-haskell/wxcore/wxcore-0.13.2.3-r1.ebuild
new file mode 100644
index 0000000..98d257c
--- /dev/null
+++ b/dev-haskell/wxcore/wxcore-0.13.2.3-r1.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+WX_GTK_VER="2.8"
+
+CABAL_FEATURES="lib profile haddock hoogle hscolour"
+inherit base haskell-cabal wxwidgets
+
+DESCRIPTION="wxHaskell core"
+HOMEPAGE="http://haskell.org/haskellwiki/WxHaskell"
+SRC_URI="mirror://hackage/packages/archive/${PN}/${PV}/${P}.tar.gz"
+
+LICENSE="wxWinLL-3.1"
+SLOT="${WX_GTK_VER}/${PV}"
+KEYWORDS="~amd64 ~ppc ~sparc ~x86"
+IUSE=""
+
+RDEPEND="dev-haskell/parsec:=[profile?]
+		dev-haskell/stm:=[profile?]
+		>dev-haskell/wxdirect-0.12.1.2:${WX_GTK_VER}=[profile?]
+		<dev-haskell/wxdirect-0.90:${WX_GTK_VER}=[profile?]
+		>=dev-lang/ghc-6.12.1:=
+		x11-libs/wxGTK:${WX_GTK_VER}=[X,gstreamer,opengl]"
+DEPEND="${RDEPEND}
+		>=dev-haskell/cabal-1.2"
+
+PATCHES=("${FILESDIR}/${PN}"-0.13.2.3-ghc-7.6.patch
+	"${FILESDIR}/${PN}"-0.13.2.3-stdcpp.patch)
+
+src_prepare() {
+	base_src_prepare
+	sed -e "s@wxdirect@wxdirect-${WX_GTK_VER}@g" \
+		-i "${S}/Setup.hs" \
+		|| die "Could not change Setup.hs for wxdirect slot ${WX_GTK_VER}"
+	cabal_chdeps \
+		'array >= 0.2 && < 0.5' 'array >= 0.2'
+}
+
+src_configure() {
+	haskell-cabal_src_configure \
+		--flag=splitbase
+}

diff --git a/dev-haskell/wxcore/wxcore-0.92.2.0.ebuild b/dev-haskell/wxcore/wxcore-0.92.2.0.ebuild
new file mode 100644
index 0000000..3bf1cf8
--- /dev/null
+++ b/dev-haskell/wxcore/wxcore-0.92.2.0.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+# ebuild generated by hackport 0.4.7.9999
+
+WX_GTK_VER="3.0"
+
+CABAL_FEATURES="lib profile haddock hoogle hscolour"
+inherit haskell-cabal wxwidgets
+
+DESCRIPTION="wxHaskell core"
+HOMEPAGE="https://wiki.haskell.org/WxHaskell"
+SRC_URI="mirror://hackage/packages/archive/${PN}/${PV}/${P}.tar.gz"
+
+LICENSE="wxWinLL-3.1"
+SLOT="${WX_GTK_VER}/${PV}"
+KEYWORDS="~amd64 ~ppc ~sparc ~x86"
+IUSE=""
+
+RDEPEND="dev-haskell/parsec:=[profile?]
+	dev-haskell/stm:=[profile?]
+	>=dev-haskell/wxc-0.92:${WX_GTK_VER}=[profile?]
+	>=dev-haskell/wxdirect-0.91:${WX_GTK_VER}=[profile?]
+	>=dev-lang/ghc-7.4.1:=
+	x11-libs/wxGTK:${WX_GTK_VER}=[X,gstreamer,opengl]
+"
+DEPEND="${RDEPEND}
+	>=dev-haskell/cabal-1.2
+"
+
+src_prepare() {
+	sed -e "s@wxdirect@wxdirect-${WX_GTK_VER}@g" \
+		-i "${S}/Setup.hs" \
+		|| die "Could not change Setup.hs for wxdirect slot ${WX_GTK_VER}"
+}
+
+src_configure() {
+	haskell-cabal_src_configure \
+		--flag=splitbase
+}


             reply	other threads:[~2016-03-26 22:05 UTC|newest]

Thread overview: 3+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2016-03-26 22:04 Sergei Trofimovich [this message]
  -- strict thread matches above, loose matches on Subject: below --
2016-05-24 19:15 [gentoo-commits] repo/gentoo:master commit in: dev-haskell/wxcore/files/, dev-haskell/wxcore/ Pacho Ramos
2017-01-16 10:23 Sergei Trofimovich

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1459029825.3842490fa8e1a8351520e5903311a25f85798e33.slyfox@gentoo \
    --to=slyfox@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox